Как изолировать процесс, так что он может видеть только один сетевой интерфейс?

Есть ли способ, чтобы сделать только один определенный сетевой интерфейс (например, eth3), доступный для процесса, так что нет другие интерфейсы видны?

+272
jong 7 июн. 2016 г., 10:04:22
15 ответов

Установка веб-сервера с почтой, дал дату и ошибок во время проверки конфигурации PHP. Я пытаюсь настроить webamil через почтой. Ниже-подробности.

  1. поп / служба SMTP работает нормально, на моем почтовом сервере.
  2. Возможность отправлять и получать почту через почтовый клиент прекрасно.
  3. Используя обычный текст аутентификации.
  4. SSL или TLS не используется в почтовый сервер.
  5. Почтой версия: roundcubemail-0.8.5
  6. Версия PHP: в PHP 5.3.10
  7. Нужно задать настройки часового пояса Азия/Калькутта

Я проверил эту ссылку, и на что я мог понять из нее, что мне нужно изменить в PHP.Ини/.реврайт или просто /.htaccess файл , но не может найти /.откройте файл. htaccess в папку с почтой на секунду я смог найти на PHP.Ини/.реврайт @ /usr/местные/библиотека/РНР.Ини ... где я уже изменил его на свидание.часовой пояс = "Азия/Калькутта" и перезапустить службу appache2 еще об установке страница показывает ниже Сообщение об ошибке.

Ниже заполните страницу с ошибкой жирным шрифтом: Почтой Установщик Электронной Почты

Проверить environmentCreate configTest конфиг
Проверка версии PHP

Версия: ОК(на PHP 5.3.10-1ubuntu3.5 обнаружено)
Проверка расширений PHP

Следующие модули/расширения необходимых для работы с почтой:

ПКЕРЕ: ОК
ДОМ: ОК
Сессия: ОК
В XML: ОК
В JSON: ОК
Следующие пару расширений являются необязательными и рекомендуется, чтобы получить максимальную производительность:




FileInfo на: ОК
Libiconv: ОК
Многобайтовые: ОК
В OpenSSL: ОК
Mcrypt: ОК
Международный: ОК
В EXIF: ОК
Проверка существующих баз данных






Проверить, какие из поддерживаемых расширений устанавливаются. По крайней мере один из них является обязательным.

Для MySQL: ОК
Тема: ОК
СУБД PostgreSQL: не предусмотрено(не установлено)
Данных SQLite (П2): не предусмотрено(не установлено)
Регистрация для Требуется 3-й партии библиотеки



Это также проверяет, если включить путь указан правильно.

ГРУША: ОК
БАЗЫ ДАННЫХ MDB2: ОК
Net_SMTP: ОК
Net_IDNA2: ОК
Mail_mime: ОК



Проверка на PHP.Ини/.htaccess параметры

Следующие параметры необходимы для выполнения работы с почтой:

file_uploads: ОК
сессии.auto_start: ОК
Зенд.ze1_compatibility_mode: ОК
работы mbstring.func_overload: ОК
Сухушина.сессии.шифрования: ОК
magic_quotes_runtime: ОК
magic_quotes_sybase: ОК
*дата.пояс: не ОК(обнаружил пустое значение) * Следующие параметры являются необязательными и рекомендуется:






опция allow_url_fopen: ОК
Извините, но ваш сервер не удовлетворяет требованиям для работы с почтой!
Пожалуйста, установите недостающие модули либо исправить в PHP.параметры ini согласно приведенным выше результатам проверки.
Подсказка: только чеки, показывающие не ОК должны быть исправлены.


Установщик командой почтой Дэв. Авторское право © 2008-2012 – изданный под Общественной лицензией GNU; иконы famfamfam`

+995
aeb6 03 февр. '09 в 4:24

Я читаю ваш форум Убунту нить. Так как проблема в ядре, почему бы тебе просто не обновить его? Я думаю, вы должны быть в состоянии просто скачать последнюю версию ядра, импорт текущей конфигурации и компиляции после добавления портов SATA 6.0 ГБ/с Поддержка.

Я вижу второй вариант тоже, и более в соответствии с Убунту пути: ППА. Проверить UbuntuUpdates.orgони имеют ППА, что бэкпорты в нарвал орехов осознанное. Я не понимаю, почему это не должно также работать для Maverick. Иди читай первый свой сайт, и убедитесь, что это то, что вы действительно хотите делать, потому что это наверняка не поддерживается, но это выглядит так легко, как:

судо дополнения кв-репозиторий PPA:ядра-НПА/НПА
судо apt-получить обновление
судо синаптической

Как только вы получили синаптической открытия, необходимо внести изменения в репозиторий, так что вы обращаетесь, что предназначена для осознанных.

  1. Перейдите в Настройки > репозитории
  2. Перейти на другую вкладку Программы.
  3. Вы увидите эту строку где-то, наверное, в самом низу: http://ppa.launchpad.net/kernel-ppa/ppa/ubuntu осознанные основной. Нажмите, чтобы выделить его, затем нажмите кнопку правка.
  4. В открывшемся окне, убедитесь, что распределение поля говорит, осознанных, а не индивидуалистом. Synaptic: editing kernel-ppa repository
  5. Нажмите ОК, а затем нажмите кнопку Закрыть.
  6. Нажмите кнопку "Перезагрузить" в меню.
  7. На левой стороне на полпути вниз, есть несколько кнопок (разделы, статуса, происхождения..). Нажмите кнопку источника.
  8. Нажмите кнопку ЛВ-ППА-ядра-НПА/осознанные выше этого, и вы должны увидеть все новые ядра у вас есть доступ.

synaptic screenshot of kernel-ppa

Я надеюсь, вы можете взять его отсюда?

Для потомков, вот это ошибка, исправить отчет со всеми сочными информация. Короче, поддержки геймпада нет до ядра Linux 2.6.37-RC4 и выше, ака Убунту ядра 2.6.37-8.х.

Проверить этот ответ не снимает о вашем случае и контроллеры и кабели, пожалуйста, обновите ваш вопрос с выводом результата команд lspci до, и после. Вы должны увидеть, что контроллер идет от неизвестного к тому, что она на самом деле.

+941
helion3 5 сент. 2012 г., 8:07:16

Я установил Ubuntu Tweak и заметил значок в настройках системы. Можно ли скрыть значок?

+917
Desmond Crowder 21 июл. 2019 г., 15:03:47

Вот что я сделал. Я скачал файл в папку загрузок, и затем были извлечены.

Как только это было сделано, я открыл папку с файловым менеджером, и переходите в папку x86, так как у меня Убунту 32бит установил, и нажал на CoypyAgent.

enter image description here

И после того, как я сделал это, я получил окна ниже, что позволит мне eithr войти или создать учетную запись. Обратите внимание на значок в трее.

enter image description here

После этого я скопировал файл на рабочем столе для быстрого доступа.

enter image description here

Примечание: также в комплект входит 64-битный файл.

Редактировать: Для 14.04

Он также работает !!

enter image description here

+912
shera30 7 авг. 2013 г., 10:28:06

Возможные Дубликаты:
Как управлять пользователями и группами? (ГИП)

Я пытаюсь настройка VirtualBox в моей установить Убунту 11.10, но я не могу найти значок для пользователей и групп, чтобы изменить настройки и изменить доступ к USB на виртуальной машине .... Любой помочь?

+664
Tomas Selnekovic 22 июл. 2019 г., 7:08:35

Я скачал "с Ubuntu-12.10-рабочий стол-amd64", а использовать флешку Linux, чтобы сделать его на моем USB. Затем я перезагрузил мой компьютер (в Windows 7 Домашняя расширенная версия) и вошел в меню загрузки, чтобы запустить его с карты памяти SanDisk USB-кабеля (он назвал его Сандиск Крузейро Крузейро). Линукс подошел и спросил, хочу ли я попробовать или установить. Я выбрал установить, подключен к моей Wi-Fi и установил его. После того, как мой ноутбук перезапустится, сразу загрузились. Я пробовал несколько раз и не может сделать выбор между двумя.

С. П. Я использовал установщик Windows, Wubi, но в последнюю секунду он дал мне какую-то ошибку.

+621
Murdoc Newell 17 янв. 2014 г., 9:23:11

Да есть альтернативы, как открытые VPN, Фринет, и другие.

+618
Beverley Williams 27 дек. 2014 г., 9:49:53

Я в настоящее время с помощью крепления VESA: Intel®для мобильной графики Sandybridge, и я должен сказать, мне не нравится внешний вид почти все. Мое единство работает только в 2D режиме. Мое разрешение экрана тоже ночью хорошо. У меня только 1024 на 768 (4:3), но мой ноутбук с 15.6 дюймовым. Я новичок в Ubuntu. Мне нравится до сих пор, я просто хочу лучше графику. Красоты и привлекательности в машины значит очень много.

+604
Evad 1 янв. 2019 г., 17:35:53

В файле/etc/протокол ssh/sshd_config в, убедитесь, что все да и нет опции в нижнем регистре. Например, если набор, настроен с параметром нет, СШ не начнется. Он на самом деле должен быть настроен с параметром нет.

+545
julien de bosdari 1 мая 2013 г., 13:14:43

Я на x220 ноутбук, в Ubuntu 12.10, ядро 3.5.0.22, недавно обновил БИОС (1.37) : сегодня из ниоткуда, мой компьютер выключается сразу же, когда я отключаю его, даже если батарея присутствует, признали и предъявили обвинение.

Он не будет выходить за 66%, хотя заряжен. В статистике питания, аккумулятор признана 37.2 ч заряда и как быть здоровым. В Тем не менее время полного значение-это 0.

Статистика сила: 
Устройство: технология battery_BATO: литий-ионный 
Производитель: модель ЛГД: 42T4865 серийный номер: 10189 настоящее время: да перезаряжаемые: да
Состояние: зарядки напряжение: 11.9 V энергия: 37.2 ч энергии (дизайн) 62.2 ч 
Процент: 66.2% емкость: 90.4% до полного: 0 секунд время очистки: 0 секунд

Я пробовал отключать аккумулятор, перезагрузки, переключения на батареи, перезагрузку, как описано в ответе здесь:

и я пробовал регулировать настройки редактора интерфейсом dconf (в org > параметры-демон гном > > Плагины > власть я изменил величину критического заряда батареи-действие не к чему. Я также снят флажок уведомлять, возможно, вспомнить), как описано здесь:

Попытался установить tp_smapi, как описано здесь: при открытии stop_charge_thresh/системы/устройства/платформы/интерфейс smapi/BAT0 (есть также папка для BAT1), я увидел, что порог для остановки зарядки было 100. При открытии start_charge_thresh , я не могу открыть файл. В терминале я получаю эту ошибку:

 (редакторе gedit:3617): предупреждение **: необработанное случае нажмите 0 (Ошибка чтения из файла: нет такого устройства или адреса) в parse_error.

все безрезультатно, к сожалению.

Это сломанные батареи? Или что-то еще? Как я могу узнать?

Обновление: батареи не отображается в системном трее. Однако я все еще могу найти его характеристики и состояние с: upower -я /орг/freedesktop/UPower/устройств/battery_BAT0

Спасибо

+487
Khaled Itzy 17 июл. 2012 г., 4:08:58

Я пытался установить с BOINC программного обеспечения (http://boinc.berkeley.edu/), я мог бы сделать это в Ubuntu 12.04, но он никогда не работал так же как и в Windows (не мог получить его на systray икон, для запуска приложения и т. д.), но в Ubuntu 12.10 я даже не могу установить его, чтобы получить интерфейс, есть много версий и способов установки.

Кто-нибудь знает правильный способ установки и использованием BOINC в Ubuntu?

Спасибо!

+255
Snicket224 11 окт. 2015 г., 17:27:38

У меня Asipre один D255E нетбук.

Установил 9.10 успешно, но нет подключения к интернету для обновления до 10.04 или 10.10.

10.10 иметь альтернативное (не мог получить 10.04). Однако он говорит, что нет компакт-диска присутствует (нетбук через Live USB), и я направил его к sdb1, но это не получилось.

Может кто-нибудь направит меня на шаги для установки через альтернативный USB только (и не интернет)?

Прямую по USB от 10.04 & 10.10 интернет работал, но установка повесили (не альтернативный).

Огромное спасибо Вам заранее.

+223
CapET 27 янв. 2013 г., 14:32:38

Какой самый простой способ добавить сноски на изображение, учитывая возможности по умолчанию в Ubuntu 12.04?

У меня Gimp 2.6 уже присутствует (хотя я не говорю, она присутствует по умолчанию в Ubuntu) и я могу найти инструкции по добавлению Выноска через Gimp, чтобы быть утомительным. Есть то, что называется Gimp динамический текст плагин, но я читал, что он очень старый и поэтому вряд ли будут работать в 2.6, и вы, возможно, придется компилировать файлы C, чтобы заставить его работать; поэтому он может быть грязным и все еще может быть плохая затрат и выгод, проспект.

Если ответ не предполагает Gimp, это можно было бы приветствовать.

+86
HamAndCheese 21 авг. 2017 г., 1:36:26

Я пытаюсь добавить принтер Windows через Samba из Нового диалогового окна принтера в Kubuntu 12.04. Шмс:// поле не позволяет мне поставить специальные символы или пробелы, за исключением подчеркивания (см. скриншот). В частности, URL-адрес, я пытаюсь добавить (оно было дано мне от него люди в моем университете) содержит "%20", который, я полагаю, следует толковать как пространство.

Это нормально? Можете СМБ URL-адресов, содержащих специальные символы? Почему этот диалог не позволяет мне сделать это?

enter image description here

+66
aziza2807 1 янв. 2017 г., 9:04:33

Есть объектив Facebook в Ubuntu 12.10? Несколько моих знакомых увлекаются facebook и хотел бы использовать Ubuntu, если она поставляется с объективом facebook. Кто-нибудь знает, как установить линзы facebook (если он существует)?

+32
Rebecca Whipple 15 июл. 2011 г., 13:56:55

Показать вопросы с тегом